Retrieves the job_files with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
job_files| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| jobs_id |
Job Id |
globally unique identifier |
Required |
| job_approval_id |
Job approval Id |
globally unique identifier |
Required |
| file_name |
Name of the file |
string |
Required Max length: 100 |
| name | string |
Max length: 100 |
|
| description |
Description of the file |
string | |
| tags |
Tags of the file |
string | |
| mime_type |
Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg |
string |
Max length: 100 |
| file_type |
Readonly: Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF |
string |
Max length: 200 |
| image_height |
In case of picture, the original heigth |
integer | |
| image_width |
In case of picture, the original width |
integer | |
| file_size |
Size in bytes of the file_content |
integer | |
| sales_organization_id | globally unique identifier | ||
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating db_file |
string | |
| sales_organization |
Embedded entity "sales_organization" using node when adding/updating db_file |
sales_organization | |
| file_content |
The file content, in Byte Array. Use this field when using POST/PUT |
Collection of byte | |
| dateutc_added |
Date UTC when file has been added |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| user_id | globally unique identifier | ||
| show_on_web | boolean | ||
| db_report_id |
The id of db_report |
globally unique identifier |
Response Formats
application/json, text/json
{
"id": "2d4be41b-9c32-46e9-91bc-6ee7d22495cc",
"jobs_id": "ea8fae3b-c1ff-4c10-bbcf-5f794a38b9ae",
"job_approval_id": "174e2e4a-0f7a-4b74-b4bf-89c7ac7c04ac",
"file_name": "sample string 4",
"name": "sample string 5",
"description": "sample string 6",
"tags": "sample string 7",
"mime_type": "sample string 8",
"file_type": "sample string 9",
"image_height": 10,
"image_width": 11,
"file_size": 12,
"sales_organization_id": "3df48786-17db-4f61-ae7a-0721deed04c9",
"sales_organization_code": "sample string 14",
"file_content": "QEA=",
"dateutc_added": "2026-06-25T21:37:19.6761452+00:00",
"modified_dateutc": "2026-06-25T21:37:19.6761452+00:00",
"user_id": "2a615efd-a91a-4eb6-82fc-52103f33d17d",
"show_on_web": true,
"db_report_id": "fa28ae64-b33c-455f-ba3e-eb1facb0e86a"
}